# pion::PionLockedQueue< T, MaxSize, SleepMilliSec >::QueueNode Struct Reference

`#include <PionLockedQueue.hpp>`

List of all members.

## Detailed Description

### template<typename T, boost::uint32_t MaxSize = 250000, boost::uint32_t SleepMilliSec = 10>
struct pion::PionLockedQueue< T, MaxSize, SleepMilliSec >::QueueNode

data structure used to wrap each item in the queue

Definition at line 49 of file PionLockedQueue.hpp.

## Public Attributes

T | data
QueueNode * | next
boost::uint32_t | version

The documentation for this struct was generated from the following file:

- common/include/pion/PionLockedQueue.hpp